/* ===== Reset ===== */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* ===== Basis ===== */
html, body {
    height: auto;
}

body {
    font-family: "Roboto Condensed", sans-serif;
    font-weight: 400;
    font-style: normal;
    line-height: 1.6;
    letter-spacing: 0.3px;
    font-optical-sizing: auto;
    color: #333;
}

a {
    color: #547EBF;
    text-decoration: none;
}

b {
    font-weight: 600;
    color: #547ebf;
}

h1, h2, h3, h4 {
    font-family: "Roboto Condensed", sans-serif;
    color: #162A54;
    line-height: 1.4;
}

a {
    text-decoration: none;
    color: inherit;
}

/* min height op pagina */
html, body {
    height: 100%;         
    margin: 0;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;  
}

.main {
    flex: 1;
}

/* ===== Container ===== */
.container {
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
}

/* ===== Header ===== */
.header {
    background: #fff;
    color: #fff;
    padding: 15px 0;
}

.header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header .logo {
    width: 220px;
    height: auto;
}
.header .logo img {
    width: 100%;
    height: auto;
    display: block;
}

.nav a {
    margin-left: 20px;
    color: #000;
    font-size: 18px;
    transition: 400ms;
    position: relative;
    text-decoration: none;
    display: inline-block;
}

.nav a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -4px;
    width: 0;
    height: 2px;
    background: #547ebf;
    transition: width 400ms ease;
}

.nav a.active::after {
  width: 100%;
}

.nav a:hover::after {
  width: 100%;
}

.nav a:active::after {
  width: 100%;
}

.nav ul {
    display: flex;
    list-style: none;
    gap: 20px;
}

.nav ul li a {
    color: #333;
    text-decoration: none;
    font-weight: 500;
    transition: color 0.3s;
}

.nav ul li a:hover {
    color: #7b7b7b;
}

/* ===== Banner / Slider ===== */
.banner {
    width: 100%;
    max-height: 500px;
    overflow: hidden;
    position: relative;
    border-bottom: #547ebf 10px solid;
}

.slider {
    position: relative;
    width: 100%;
    height: 400px;
}

.slide {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    transform: translateX(20px);
    transition: opacity 0.4s ease, transform 0.4s ease;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
}

.slide::after {
	content: "";
	position: absolute;
	inset: 0;
	background: rgba(0, 0, 0, 0.2);
}

.slide.active {
    opacity: 1;
    transform: translateX(0);
    z-index: 1;
}

.slide-content {
    background: rgba(0,0,0,0.5);
    padding: 20px 40px;
    text-align: center;
    z-index: 1;
}

.slide h2 {
    font-size: 2.5rem;
    margin-bottom: 10px;
    color: #8EBAFF;
}

.slide p {
    font-size: 1.4rem;
}

/* Arrows */
.prev, .next {
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	background: rgba(0,0,0,0.0);
	color: #fff;
	border: none;
	padding: 15px;
	font-size: 2rem;
	cursor: pointer;
	z-index: 2;
	transition: 400ms;
}

.prev:hover, .next:hover {
	background: rgba(0, 0, 0, 0.5);
	color: #8EBAFF;
	transition: 400ms;
}

.prev {
    left: 20px;
}

.next {
    right: 20px;
}

/* Dots */
.dots {
    position: absolute;
    bottom: 15px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    gap: 10px;
    z-index: 2;
}

.dot {
    width: 12px;
    height: 12px;
    background: rgba(255,255,255,0.5);
    border-radius: 50%;
    cursor: pointer;
    transition: background 0.3s;
}

.dot.active {
    background: #8EBAFF;
}

/* fade + kleine slide omhoog) */
.reveal {
  opacity: 0;
  transform: translateY(60px);
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

.reveal.active {
  opacity: 1;
  transform: translateY(0);
}

.hero h1,
.hero p,
.hero .cta {
  opacity: 0;
  transform: translateY(60px);
}

.hero h1 {
  animation: heroFade 0.8s cubic-bezier(0.22,1,0.36,1) 0.2s forwards;
}

.hero p {
  animation: heroFade 0.8s cubic-bezier(0.22,1,0.36,1) 0.4s forwards;
}

.hero .cta {
  animation: heroFade 0.8s cubic-bezier(0.22,1,0.36,1) 0.6s forwards;
}

@keyframes heroFade {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

/* ===== Hero - inleiding ===== */
.hero {
    padding: 100px 0;
}

.hero h1 {
    color: #162A54;
    padding-bottom: 15px;
}

.hero a {
	background-color: #547EBF;
	color: #fff;
	padding: 10px 15px;
    transition: 400ms;
    border: #547EBF 1px solid;
    display: inline-block;
    margin-top: 20px;
}

.hero a:hover {
	background-color: #fff;
	color: #547EBF;
    transition: 400ms;
    border: #547EBF 1px solid;
}

.hero .container {
    max-width: 800px;
    text-align: center;
}

/* ===== Werkwijze ===== */
.werkwijze {
	padding-top: 100px;
	padding-bottom: 100px;
	background: #cae2fd4d;
}

.werkwijze .container {
	display: flex;
    align-items: center;
	gap: 50px;
}

.werkwijze img {
	max-width: 500px;
	height: auto;
}

.werkwijze h2 {
    padding-bottom: 15px;
}

.werkwijze p {
    padding-bottom: 15px;
    max-width: 650px;
}

.werkwijze .bstyle b {
	color: #333;
}

.werkwijze .check-list {
    list-style: none;    
    padding: 0;
    margin: 0 auto;
    text-align: center; 
}

.check-list li {
    display: flex;    
    align-items: center;    
    gap: 5px;             
    margin-bottom: 0.8em;  
}

.check-list li::before {
    content: '';
    display: inline-block;          
    width: 1em;
    height: 1em;
    background: url('/images/check.svg') no-repeat center center;
    background-size: contain;
}

/* ===== Projects ===== */
.portfolio {
	padding-top: 100px;
}

.portfolio h2 {
    text-align: center;
    margin-bottom: 30px;
}

.projects {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
}

.project-card {
    background: #f5f5f5;
    padding: 30px;
    text-align: center;
    height: 450px;
    transition: transform 0.3s, box-shadow 0.3s;
    border: #547EBF 2px solid;
}

.project-link {
    text-decoration: none;
    color: #fff;
    display: block;
    text-shadow: 2px 2px 5px rgba(0,0,0,0.9);
}

.projects a:first-child .project-card {
	background-image: url("../images/cleancaredetailing.webp");
	background-size: cover;
	background-position: top;
	background-repeat: no-repeat;
}

.projects a:nth-child(2) .project-card {
	background-image: url("../images/demotemplate.webp");
	background-size: cover;
	background-position: top;
	background-repeat: no-repeat;
}

.projects a:nth-child(3) .project-card {
	background-image: url("../images/demotemplate.webp");
	background-size: cover;
	background-position: top;
	background-repeat: no-repeat;
}

.projects a:nth-child(4) .project-card {
	background-image: url("../images/demotemplate.webp");
	background-size: cover;
	background-position: top;
	background-repeat: no-repeat;
}

.projects a:nth-child(5) .project-card {
	background-image: url("../images/demotemplate.webp");
	background-size: cover;
	background-position: top;
	background-repeat: no-repeat;
}

.projects a:nth-child(6) .project-card {
	background-image: url("../images/demotemplate.webp");
	background-size: cover;
	background-position: top;
	background-repeat: no-repeat;
}

.projects a:nth-child(7) .project-card {
	background-image: url("../images/demotemplate.webp");
	background-size: cover;
	background-position: top;
	background-repeat: no-repeat;
}

.projects a:nth-child(8) .project-card {
	background-image: url("../images/demotemplate.webp");
	background-size: cover;
	background-position: top;
	background-repeat: no-repeat;
}

.project-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 20px rgba(0,0,0,0.4);
}

/* ===== Section Button ===== */
.section_button {
	padding: 50px 0px 100px 0;
    text-align: center;
}

.section_button .button a {
    display: inline-block;
	background-color: #547EBF;
	color: #fff;
	padding: 10px 15px;
    transition: 400ms;
    border: #547EBF 1px solid;
    margin-top: 10px;
    margin: 0 auto;
    text-align: center;
}

.section_button .button a:hover {
	background-color: #fff;
	color: #547EBF;
    transition: 400ms;
    border: #547EBF 1px solid;
}

/* ===== Responsive ===== */
.responsive {
	padding: 100px 0 100px 0;
	background: #cae2fd4d;
}

.responsive .container {
	text-align: center;
	max-width: 800px;
}
.responsive h2 {
	padding-bottom: 15px;
}

/* ===== Optimalisatie ===== */
.optimalisatie {
	padding: 100px 0 100px 0;
}

.optimalisatie .container {
	display: flex;
	align-items: center;
	gap: 60px;
}

.optimalisatie h2 {
	padding-bottom: 15px;
}

.optimalisatie .bstyle b {
	color: #333;
}

.optimalisatie p {
    padding-bottom: 15px;
}

.optimalisatie img {
	max-width: 500px;
	height: auto;
}

.optimalisatie a {
    display: inline-block;
	background-color: #547EBF;
	color: #fff;
	padding: 10px 15px;
    transition: 400ms;
    border: #547EBF 1px solid;
    margin-top: 10px;
}

.optimalisatie a:hover {
	background-color: #fff;
	color: #547EBF;
    transition: 400ms;
    border: #547EBF 1px solid;
}

/* ===== Footer ===== */
.footer {
    background: #111;
    color: #fff;
    padding: 40px 0;
}

.footer-cols {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
}

.footer .col {
    flex: 1;
    min-width: 200px;
}

.footer-left {
    text-align: left;
}

.footer-logo {
    text-align: center;
    font-size: 1.8rem;
    font-weight: bold;
}

.footer img {
	width: 170px;
}

.footer-nav {
    text-align: right;
}

.footer-nav ul {
    display: flex;
    gap: 15px;
    list-style: none;
    padding: 0;
    margin: 0;
}

.footer-nav ul li a {
    color: #fff;
    text-decoration: none;
    transition: color 0.3s;
}

.footer-nav ul li a:hover {
    color: #00D4FF;
}

/* ===== Copyright ===== */
.copyright {
    background: #000;
    color: #fff;
    text-align: center;
    padding: 10px 0;
    font-size: 0.9rem;
}

/* ===== Overige pagina's ===== */
.banner-page {
	background-image: url("/images/banner1.webp");
	height: 160px;
	width: 100%;
	background-size: cover;
	background-position: top;
	background-repeat: no-repeat;
    border-bottom: #547ebf 10px solid;
}

/* ===== Over mij pagina ===== */
.over-mij .intro {
	padding: 100px 0;
}

.over-mij .intro .container {
    max-width: 800px;
    display: flex;
    gap: 3rem;
    align-items: center;
}

.over-mij .intro .about-text {
    width: 70%;
}

.over-mij .intro .about-image {
    width: 30%;
}

.over-mij .intro .about-image img {
	width: 225px;
	max-width: 350px;
    border-bottom: #547ebf 5px solid;
}

.over-mij .intro h1 {
	padding-bottom: 15px;
}

.over-mij .intro p {
	padding-bottom: 15px;
}

/* Fade effect h1 */
.over-mij .intro h1,
.over-mij .intro p,
.over-mij .intro .cta {
  opacity: 0;
  transform: translateY(60px);
}

.over-mij .intro h1 {
  animation: heroFade 0.8s cubic-bezier(0.22,1,0.36,1) 0.2s forwards;
}

.over-mij .intro p {
  animation: heroFade 0.8s cubic-bezier(0.22,1,0.36,1) 0.4s forwards;
}

.over-mij .intro .cta {
  animation: heroFade 0.8s cubic-bezier(0.22,1,0.36,1) 0.6s forwards;
}

/* ===== Projecten pagina ===== */
.projecten .section_projects {
	padding-top: 100px;
    padding-bottom: 100px;
}

.projecten h1 {
    text-align: center;
    padding-bottom: 15px;
}

.projecten .section_projects p {
    text-align: center;
}

.projecten .projects {
	margin-top: 50px;
}

/* Fade effect h1 */
.projecten .section_projects h1,
.projecten .section_projects p,
.projecten .section_projects .cta {
  opacity: 0;
  transform: translateY(60px);
}

.projecten .section_projects h1 {
  animation: heroFade 0.8s cubic-bezier(0.22,1,0.36,1) 0.2s forwards;
}

.projecten .section_projects p {
  animation: heroFade 0.8s cubic-bezier(0.22,1,0.36,1) 0.4s forwards;
}

.projecten .section_projects .cta {
  animation: heroFade 0.8s cubic-bezier(0.22,1,0.36,1) 0.6s forwards;
}

/* ===== Contact pagina ===== */
.contact .section_contact h1 {
	text-align: center;
	padding-bottom: 30px;
}

.contact .section_contact {
    padding: 100px 0;
}

.contact .contact-form {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    max-width: 600px;
    margin: 0 auto;
}

.contact .contact-form label {
    display: none;
}

.contact .contact-form input,
.contact .contact-form textarea {
    padding: 0.8rem 1rem;
    border: 1px solid #ccc;
    font-size: 1rem;
    width: 100%;
}

.contact .contact-form button {
	padding: 12px 0;
	background-color: #547EBF;
	color: #fff;
	border: none;
	font-size: 1rem;
	cursor: pointer;
	transition: background 0.3s;
}

.contact .contact-form button:hover {
    background-color: #162A54;
}

.contact .contact-form .form-message {
    margin-top: 1rem;
    font-style: italic;
}

/* Fade effect h1 */
.contact .section_contact h1,
.contact .section_contact p,
.contact .section_contact .cta {
  opacity: 0;
  transform: translateY(60px);
}

.contact .section_contact h1 {
  animation: heroFade 0.8s cubic-bezier(0.22,1,0.36,1) 0.2s forwards;
}

.contact .section_contact p {
  animation: heroFade 0.8s cubic-bezier(0.22,1,0.36,1) 0.4s forwards;
}

.contact .section_contact .cta {
  animation: heroFade 0.8s cubic-bezier(0.22,1,0.36,1) 0.6s forwards;
}

/* ===== Responsive ===== */
@media (max-width: 1200px) {

    .werkwijze img {
	    max-width: 350px;
    }

    .optimalisatie img {
	    max-width: 350px;
    }

}

@media (max-width: 992px) {

    .werkwijze .container {
        flex-direction: column;
        text-align: center;
    }

    .werkwijze ul {
        display: flex;
        flex-direction: column;
        align-items: center;  
        list-style: none;
        padding: 0;
    }    

    .werkwijze img {
        width: 100%;
    }

    .optimalisatie .container {
	    flex-direction: column;
        text-align: center;
    }

    .optimalisatie ul {
        display: flex;
        flex-direction: column;
        align-items: center;  
        list-style: none;
        padding: 0;
    }  

    .optimalisatie img {
        width: 100%;
    }

}

@media (max-width: 768px) {

    .header .container {
        flex-direction: column;
        gap: 10px;
    }

    .nav ul {
        flex-direction: column;
        gap: 10px;
        align-items: center;
    }

    .over-mij .intro {
        text-align: center;
    }

    .over-mij .intro .container {
        flex-direction: column;
        gap: 2rem;
    }

    .over-mij .intro .about-text,
    .over-mij .intro .about-image {
        width: 100%;
    }

    .over-mij .intro .about-image {
        text-align: center;
    }

    /* ===== Banner ===== */
     .slide h2 {
        font-size: 1.5rem;
    }
    .slide p {
        font-size: 1rem;
    }

    .prev, .next {
        padding: 10px;
        font-size: 1.5rem;
    }

    /* ===== Footer ===== */
    .footer-cols {
        flex-direction: column;
        text-align: center;
    }

    .footer-left,
    .footer-logo,
    .footer-nav {
        text-align: center;
        margin-bottom: 20px;
    }

    .footer-nav ul {
        flex-direction: column;
        gap: 8px;
    }
}
